import time
import sys

def sane_input(x=''):
    if sys.version_info.major >= 3:
        return input(x)
    return raw_input(x)

def timex(duration=5):
    start_t = time.time()
    for i in range(int(duration)):
        time.sleep(1)
    curr_t = time.time()
    dt = curr_t - start_t
    if dt < duration:
        time.sleep(duration-dt)
    a = sane_input('press return')
    curr_t = time.time()
    dt = curr_t - start_t
    print('extra time:', dt - duration)
    return dt

def main():
    # exercise
    for i in range(10):
        print('bend wrist forward')
        timex()
        print('bend wrist backward')
        timex()
    for i in range(10):
        print('bend wrist right')
        timex()
        print('bend wrist left')
        timex()
    for i in range(10):
        print('put palm down')
        timex()
        print('put palm face up')
        timex()
    for i in range(10):
        print('straight, hook, fist, tabletop')
        timex(0)
    for i in range(10):
        print('abduction, opposition')
        timex(0)

if __name__ == '__main__':
    main()
